#ifndef QDATA5F1_H
#define QDATA5F1_H

#include <qwt_data.h>
#include <qwt_double_interval.h>

class QData5F1 : public QwtData
{
public:
    QData5F1(const QwtDoubleInterval &,size_t);

    virtual size_t size() const;
    virtual double x(size_t) const;
    virtual double y(size_t) const;
    virtual QwtData *copy() const;

protected:
    QwtDoubleInterval azInt;
    size_t d_size;
};

#endif // QDATA5F1_H
