#ifndef QDATAF2_H
#define QDATAF2_H

#include <qwt_series_data.h>

class QDataF2 : public QwtSeriesData<QwtPointPolar>
{
public:
    QDataF2(const QwtInterval &,size_t);

    virtual size_t size() const;
    virtual QwtPointPolar sample( size_t) const;
    virtual QRectF boundingRect() const;

protected:
    QwtInterval azInt;
    size_t d_size;
};

#endif // QDATAF2_H
