#ifndef QDATAF1_H
#define QDATAF1_H

#include <qwt_series_data.h>

class QDataF1 : public QwtSeriesData<QwtPointPolar>
{
public:
    QDataF1(const QwtInterval &,size_t);

    virtual size_t size() const;
    virtual QwtPointPolar sample( size_t) const;
    virtual QRectF boundingRect() const;

protected:
    QwtInterval azInt;
    size_t d_size;
};

#endif // QDATAF1_H
